<div class="container">
    <div class="text-center">
        <h1>Lista dei negozi</h1>
        <h4 class="pt-4" v-if="shops && !shops.length">
            Non sono ancora stati aggiunti negozi!
        </h4>
    </div>
    <div class="text-center mt-5" v-if="!this.shops">
        <b-spinner type="grow" variant="primary"/>
    </div>
    <div class="pt-3 table-responsive" v-if="shops && shops.length">
        <div class="m-4">
            <b-input placeholder="Filtra..."
                     v-model="searchText"
            />
        </div>
        <b-table bordered striped hover class="w-100"
                 :items="this.filtered"
                 :fields="this.fields">
            <template v-slot:cell(ownerEmail)="data">
                {{ data.item.ownerEmail }}
                <b-button variant="outline-success" @click="openOwnerEmailModal(data.item.id, data.item.name)" v-if="!data.item.ownerEmail">
                    Aggiungi la mail dell'amministratore
                </b-button>
            </template>
            <template v-slot:cell(edit)="data">
                <b-button v-b-tooltip.hover title="Modifica" variant="outline-primary" @click="editShop(data.item.id)">
                    <b-icon icon="pencil-square"/>
                </b-button>
            </template>
            <template v-slot:cell(delete)="data">
                <b-button v-b-tooltip.hover title="Elimina" variant="outline-danger" @click="deleteShop(data.item.id, data.item.name)">
                    <b-icon icon="trash"/>
                </b-button>
            </template>
        </b-table>
    </div>

    <b-modal id="addOwnerEmailModal">
        <template v-slot:modal-header>
            <h4>Aggiungi  amministratore</h4>
        </template>

        <template v-slot:default>
            <b-container class="w-100">
                <b-row cols="1">
                    <b-col>
                        <h6 class="pb-1">Negozio: {{ ownerEmailData.shopName }}</h6>
                    </b-col>
                    <b-col>
                        <b-form-input v-model.trim="ownerEmailData.email"
                                      autocomplete="off"
                                      type="email"
                                      @invalid="valid = false"
                                      class="w-100 pb-1"
                                      placeholder="Email"/>
                    </b-col>
                </b-row>
            </b-container>
        </template>

        <template v-slot:modal-footer>
            <b-button variant="success" @click="addOwnerEmail()">
                Aggiungi
            </b-button>
            <b-button variant="dark" @click="$bvModal.hide('addOwnerEmailModal')">
                Annulla
            </b-button>
        </template>
    </b-modal>
</div>
